REM Begin Batch File
@ECHO off
REM ----------------------------------------------------------------------
REM --
REM -- Windows 64 Bit Installation for CNS Clock II USB drivers
REM --
REM ----------------------------------------------------------------------
net session > NUL 2>&1
IF %ERRORLEVEL% EQU 0 (
 goto ADMIN_OK
) ELSE (
 ECHO Must run as an Administrator...... Exiting.
 pause
 goto END_BAT
)
:ADMIN_OK
REM When right clicking file "Run as Administrator", Path changes to c:\Windows\System32\
REM Change to Drive and directory where batch file resides
set runDrive=%~d0
set runPath=%~p0
%runDrive%
CD %runPath%
IF /I "%PROCESSOR_ARCHITECTURE%" EQU "AMD64" (
goto Install_64Bit
) ELSE IF /I "%PROCESSOR_ARCHITECTURE%" EQU "IA64" (
goto Install_64Bit
) ELSE IF /I "%PROCESSOR_ARCHITEW6432%" EQU "AMD64" (
goto Install_64Bit
) ELSE IF /I "%PROCESSOR_ARCHITEW6432%" EQU "IA64" (
goto Install_64Bit
) ELSE IF /I "%PROCESSOR_ARCHITECTURE%" EQU "X86" (
goto Install_32Bit
) ELSE (
goto Install_Failed
)
:Install_64Bit
ECHO Installing ftdibus.inf
pnputil -i -a ftdiport.inf
pause
ECHO Installing ftdiport.inf
pnputil -i -a ftdibus.inf
pause
goto finished
:Install_32Bit
echo Windows 32 bit applications not supported by this installation method.
pause
goto finished
:Install_Failed
echo Failed: Unknown Processor (%PROCESSOR_ARCHITECTURE%) - No action Taken!
pause
:finished
REM End Batch File